[Unit]
Description=WSL data client

[Service]
User=root
ExecStartPre=bash -c "/mnt/c/Windows/system32/wsl.exe --cd / -d %DATA_DISTRO% hostname"
ExecStart=bash -c "%SHARE_BASE%/%SHARE_TARGET%/wsl-data-sharing/mount.start && sleep infinity"
ExecStop=bash -c "%SHARE_BASE%/%SHARE_TARGET%/wsl-data-sharing/mount.stop"
Restart=no

[Install]
WantedBy=multi-user.target
